# Retrieve metadata object schema Returns the complete JSON Schema for the specified object. The response includes standard JSON Schema properties and Zuora-specific metadata extensions, including field types, constraints, relationships, custom field indicators, and context-specific capabilities. For Data Query(DQ) and Object Query(OQ) contexts, object name matching is case-insensitive. The response uses the canonical object name returned by the upstream source. For Data Source Export(DSE) or Aggregate Query API(AQuA) contexts, the response title and $id use the canonical object name returned by Billing. Endpoint: GET /object-metadata/{objectName} Version: 2026-05-22 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Path parameters: - `objectName` (string, required) Name of the object to retrieve schema for. For Data Query(DQ) and Object Query(OQ), matching is case-insensitive. For Data Source Export(DSE) and Aggregate Query API(AQuA), use the object name casing expected by Billing Describe. Example: "Account" ## Query parameters: - `context` (string, required) Data context for which to retrieve metadata. Supported values: - DQ: Data Query context - OQ: Object Query context - DSE: Data Source Export context - AQUA: Analytics Query context Enum: "DQ", "OQ", "DSE", "AQUA" ## Response 200 fields (application/schema+json): - `$schema` (string, required) JSON Schema dialect Example: "https://json-schema.org/draft/2020-12/schema" - `$id` (string, required) Stable schema URI (canonical object name suffix; not the REST URL for this endpoint) Example: "https://api.zuora.com/schemas/account" - `title` (string) Canonical object name from upstream (same segment as in $id) Example: "account" - `description` (string) Object description Example: "Account object schema" - `type` (string, required) Schema type (always 'object' for Zuora objects) Enum: "object" - `properties` (object) Field definitions keyed by field name - `required` (array) List of required field names - `x-zuora-context` (string) Data context Enum: "DQ", "OQ", "DSE", "AQUA" - `x-zuora-category` (string) Object category (DQ/OQ only) Example: "core" - `x-zuora-support-custom-field` (boolean) Whether object supports custom fields - `x-zuora-relationships` (array) Relationships to other objects - `x-zuora-relationships.object` (string, required) Related object name Example: "Contact" - `x-zuora-relationships.cardinality` (string, required) Relationship cardinality Enum: "manyToOne", "oneToMany", "manyToMany" - `x-zuora-relationships.fields` (object) Foreign key field mappings (local field -> remote field) Example: {"BillToContactId":"Id"} - `x-zuora-relationships.label` (string) Human-readable relationship label (DSE/AQUA only) Example: "Bill To Contact" - `x-zuora-relationships.directRelationship` (boolean) Whether this is a direct relationship (DSE/AQUA only) - `x-zuora-relationships.path` (string) Relationship path (DSE/AQUA only) Example: "Account.BillToContact" ## Response 500 fields (application/json): - `reasons` (array, required) - `reasons.code` (integer, required) Zuora reason code (RRRRRRCC format) Example: 50000027 - `reasons.message` (string, required) Human-readable explanation for this reason - `requestId` (string, required) Request correlation id (Zuora IT id from the gateway when available; otherwise a generated UUID). Example: "9458f78d-ae13-4a71-87d9-532182c6eb0f" ## Response 4XX fields (application/json): - `reasons` (array, required) - `reasons.code` (integer, required) Zuora reason code (RRRRRRCC format) Example: 50000027 - `reasons.message` (string, required) Human-readable explanation for this reason - `requestId` (string, required) Request correlation id (Zuora IT id from the gateway when available; otherwise a generated UUID). Example: "9458f78d-ae13-4a71-87d9-532182c6eb0f"